
Name: 	    	gcc-%{CROSS_ARCH}
Version:    	3.3.6
Release:    	10mdk

Source:     	gcc-%version.tar.bz2

Patch0:		gcc-%version-libc.diff.bz2
Patch1:		gcc-%version-frv.diff.bz2
Patch2:		gcc-%version-h8300.diff.bz2
Patch3:		gcc-%version-m32r.diff.bz2
Patch4:		gcc-%version-sh.diff.bz2

Summary:	cross gcc stuff for %{CROSS_ARCH}.
Group:		Development
License:	GPL
Provides:       %name = %version-%release

Buildroot:	%{_tmppath}/%name-%version-root

%define		arch_name %{CROSS_ARCH}-linux
%define		build_dir gcc-%version-%{arch_name}.build


%description
This package provides a gcc for %{CROSS_ARCH} cross compiling.

%prep
%setup -q -n gcc-%version

%patch0 -p1 -b .libc
%patch1 -p1 -b .h8300
%patch2 -p1 -b .frv
%patch3 -p1 -b .m32r
%patch4 -p1 -b .sh

%setup -q -c -T -n %build_dir

%build

../gcc-%version/configure			\
	--enable-languages=c			\
	--disable-nls				\
	--disable-shared			\
	--disable-threads			\
	--disable-werror			\
	--with-newlib				\
	--with-gnu-as				\
	--with-gnu-ld				\
        --prefix=/usr				\
        --mandir=%_mandir			\
        --infodir=%_infodir			\
	--libexecdir=%_libexecdir		\
        --target=%arch_name

#	--with-as=%_bindir/%{arch_name}-as	\
#	--with-ld=%_bindir/%{arch_name}-ld	\

%make

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%_bindir/*gccbug
find  $RPM_BUILD_ROOT/%_bindir -type f | xargs strip -s

rm -f $RPM_BUILD_ROOT/%_mandir/man1/*
rm -f $RPM_BUILD_ROOT/%_mandir/man7/*
rm -f $RPM_BUILD_ROOT/%_infodir/*
rm -f $RPM_BUILD_ROOT/%_libdir/libiberty.a

%clean
rm -rf ../gcc-%version
rm -rf ../%build_dir
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/gcc-lib
%{_bindir}/*


%changelog
* Thu May 14 2005 Herbert Ptzl <herbert@13thfloor.at> 10mdk
- fixed new archs

* Thu May 12 2005 Herbert Ptzl <herbert@13thfloor.at> 9mdk
- hopefully final set of patches

* Sat Apr 16 2005 Herbert Ptzl <herbert@13thfloor.at> 8mdk
- update and switch to elf

* Sat Apr 16 2005 Herbert Ptzl <herbert@13thfloor.at> 7mdk
- cleanup

* Mon Apr 13 2005 Herbert Ptzl <herbert@13thfloor.at> 6mdk
- fixed mips

* Mon Apr 11 2005 Herbert Ptzl <herbert@13thfloor.at> 5mdk
- updated to newer version

* Fri Feb 14 2004 Herbert Ptzl <herbert@13thfloor.at> 4mdk
- updated to newer version

* Fri Feb 14 2004 Herbert Ptzl <herbert@13thfloor.at> 3mdk
- ia64 arch fixed, thanks to David Mosberger

* Sat Jan 31 2004 Herbert Ptzl <herbert@13thfloor.at> 2mdk
- updated, fixed some archs

* Fri Jan 23 2004 Herbert Ptzl <herbert@13thfloor.at> 1mdk
- first try ;)

